Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class NodeSortRecordFactory

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeSortRecordFactory

public class NodeSortRecordFactory
extends java.lang.Object

Constructor Summary
`NodeSortRecordFactory(DOM dom, java.lang.String className, Translet translet, java.lang.String[] order, java.lang.String[] type)` Creates a NodeSortRecord producing object.

Method Summary
`java.lang.String` | `getClassName()`
`NodeSortRecord` | `makeNodeSortRecord(int node, int last)` Create an instance of a sub-class of NodeSortRecord.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeSortRecordFactory

    public NodeSortRecordFactory(DOM dom,
                                 java.lang.String className,
                                 Translet translet,
                                 java.lang.String[] order,
                                 java.lang.String[] type)
                          throws TransletException

  Creates a NodeSortRecord producing object. The DOM specifies which tree to get the nodes to sort from, the class name specifies what auxillary class to use to sort the nodes (this class is generated by the Sort class), and the translet parameter is needed for methods called by this object.

Method Detail

### makeNodeSortRecord

    public NodeSortRecord makeNodeSortRecord(int node,
                                             int last)
                                      throws java.lang.ExceptionInInitializerError,
                                             java.lang.LinkageError,
                                             java.lang.IllegalAccessException,
                                             java.lang.InstantiationException,
                                             java.lang.SecurityException,
                                             TransletException

  Create an instance of a sub-class of NodeSortRecord. The name of this sub-class is passed to us in the constructor.

### getClassName

    public java.lang.String getClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.